<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    
</body>
<script>
    var is_weekend = function (date1) {
        var date = new Date(date1);

        if (date.getDay() == 6 || date.getDay() == 0) {
            return "true";
        }
        else {
            return "false";
        }
    }

    console.log(is_weekend('Nov 15, 2014'));
    console.log(is_weekend('Nov 16, 2014'));
    console.log(is_weekend('Nov 17, 2014'));
</script>
</html>